<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{332,21,984,571}</property>
    <property name="Name">[se_pnfe]</property>
    <property name="Caption">[Situacoes Tributarias de Produto]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Courier New" width="0" height="-12" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">
{modus,aCbm_Var04,aCbm_Var08,aCbm_Var10,aCbm_Var12}    </property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">16777215</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="common">
    <![CDATA[Function RefreshTudo
SetDlgItemText( getmodalhandle(), ovar04:id, Efd_CstIcm(m_nf_csticm) )
SetDlgItemText( getmodalhandle(), ovar08:id, Efd_CstPis(m_Nf_CstPIS) )
SetDlgItemText( getmodalhandle(), ovar09:id, Efd_CstPis(m_Nf_CstCOF) )
SetDlgItemText( getmodalhandle(), ovar10:id, Efd_CstPis(m_Nf_CstEPIS) )
SetDlgItemText( getmodalhandle(), ovar11:id, Efd_CstPis(m_Nf_CstECof) )

SetDlgItemText( getmodalhandle(), ovar12:id, Efd_CstIPI(m_Nf_CstIPI) )
SetDlgItemText( getmodalhandle(), ovar13:id, Efd_CstIPI(m_Nf_CstEIPI) )

//oIcmsLabel:SetValue( Str(zNfTxICMs,6,2)+"%")
//oPisLabel:SetValue( Str(zNfTxPis,6,2)+"%")
//oCofinsLabel:SetValue( Str(zNfTxCof,6,2)+"%")
//oIcmsLabel:Refresh()
//oPisLabel:Refresh()
//oCofinsLabel:Refresh()
ENDFUNC]]>
  </method>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[preget_prd()

if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
SET(5,1960) 

CiSetKey( "K_F2","(ExecutaXML('se_prod_pteq.tel'),RefreshGetlist())",,,"F2:Composicao de Preco do Produto")
CiSetKey( "K_F3","ExecutaXML('se_prod_descontos.tel')",,,"F3:Define Descontos e Promocoes do Produto")
CiSetKey( "K_F4","DbSeek_Add_Se_Pnfe( m_pCod, .f., .t.)",,,"F4:Cadastra CSTs do Produto")
CiSetKey( "K_F5","(BrwComposicoes(, Pcod),RefreshGetlist())",,,"F5:Cadastra Composicao do Produto")

owTipoItem:SetText( Efd_TipoItem(m_pTipoItem, .f.) )

aCbm_var04 := Efd_CstIcm()
ovar04:aitems := aCbm_var04
ovar04:Requery()

ovar04:lText := (ValType(m_nf_csticm)="C")
ovar04:SetValue( m_nf_csticm ) 
ovar04:Refresh() 

aCbm_var08 := Efd_CstPis(,'S')
ovar08:aitems := aCbm_var08
ovar08:Requery()
ovar09:aitems := aCbm_var08
ovar09:Requery()

aCbm_var10 := Efd_CstPis(,'E')
ovar10:aitems := aCbm_var10
ovar10:Requery()
ovar11:aitems := aCbm_var10
ovar11:Requery()

aCbm_var12 := Efd_CstIPI(,'S')
ovar12:aitems := aCbm_var12
ovar12:Requery()
aCbm_var12 := Efd_CstIPI(,'E')
ovar13:aitems := aCbm_var12
ovar13:Requery()

Efd_GrupoNcm(STRZERO(M_PCODCLAFIS,8), @oSayNcm)
RefreshTudo()]]>
  </method>
  <part class="editbox">
    <style>
      <property name="Geometry">{15,10,87,27}</property>
      <property name="Name">[opcod]</property>
      <property name="varName">[m_pcod]</property>
      <property name="font">
        <font name="Arial" width="0" height="-19" weight="700"/>
      </property>
      <property name="nMaxLength">6</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">1</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{111,10,473,30}</property>
      <property name="Name">[oPdesc]</property>
      <property name="varName">[m_pDesc]</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="cPicture">[@s50]</property>
      <property name="nMaxLength">50</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">1</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{111,42,473,24}</property>
      <property name="Name">[owTipoItem]</property>
      <property name="varName">[wTipoItem]</property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="700"/>
      </property>
      <property name="cPicture">[@s50]</property>
      <property name="nMaxLength">50</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">1</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{14,97,112,30}</property>
      <property name="Name">[opCodClaFis]</property>
      <property name="varName">[m_pCodClaFis]</property>
      <property name="font">
        <font name="Arial" width="0" height="-19" weight="700"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[99999999]</property>
      <property name="nMaxLength">8</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">3</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[CHK_LASTKEY(5).OR.(PSQ_BROW('CI_NCM','PCINCM','STRZERO(M_PCODCLAFIS,8)','N','S',3,0,'','','VAL(NCM)',,opCodClaFis,).AND.(Efd_GrupoNcm(STRZERO(M_PCODCLAFIS,8), @oSayNcm,,,.t.),.t.))]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{14,198,112,30}</property>
      <property name="Name">[opCEST]</property>
      <property name="varName">[m_pCEST]</property>
      <property name="font">
        <font name="Arial" width="0" height="-19" weight="700"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[9999999]</property>
      <property name="nMaxLength">8</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[CHK_LASTKEY(5).OR.EMPTY(m_pcest).or.PSQ_BROW('CI_CEST','PCICEST','M_PCEST','N','S',3,0,'descricao','',,,opCEST,osoSayPCEST)]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{599,10,127,40}</property>
      <property name="Name">[oSaypCategoria]</property>
      <property name="Caption">[Categoria Fiscal  (T/F/I/S):]</property>
      <property name="Justify">[Right]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="ToolTip">
[Use T-Tributacao Normal ICMS   F-Trib. Fonte   I-Isento ICMS   S-Servico ISS]      </property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{742,16,65,27}</property>
      <property name="Name">[opCategoria]</property>
      <property name="varName">[m_pCategoria]</property>
      <property name="font">
        <font name="Arial" width="0" height="-19" weight="700"/>
      </property>
      <property name="cPicture">[!!!!!!!]</property>
      <property name="nMaxLength">3</property>
      <property name="ToolTip">
[Use T-Tributacao Normal ICMS   F-Trib. Fonte   I-Isento ICMS   S-Servico ISS]      </property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">10</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[se sNfRegime='1' .AND. 'F' $ m_pCategoria entao m_nf_csticm:='500'
se sNfRegime='1' .AND. .not. 'F' $ m_pCategoria .and. .not. 'I' $ m_pCategoria entao m_nf_csticm:='102'
SetDlgItemText( getmodalhandle(), ovar04:id, Efd_CstIcm(m_nf_csticm) )
// RefreshGetlist()
onf_csticm:Refresh()
RETURN .t.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{864,186,87,27}</property>
      <property name="Name">[oNf_txpis]</property>
      <property name="varName">[m_Nf_txpis]</property>
      <property name="font">
        <font name="Arial" width="0" height="-19" weight="700"/>
      </property>
      <property name="cPicture">[@e 999,999.99]</property>
      <property name="nMaxLength">6</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">12</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{45,71,50,23}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[NCM]</property>
      <property name="Justify">[Right]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-19" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">13</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{41,174,59,23}</property>
      <property name="Name">[oLabel3]</property>
      <property name="Caption">[CEST]</property>
      <property name="Justify">[Right]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-19" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">13</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{864,215,87,27}</property>
      <property name="Name">[onf_txcof]</property>
      <property name="varName">[m_nf_txcof]</property>
      <property name="font">
        <font name="Arial" width="0" height="-19" weight="700"/>
      </property>
      <property name="cPicture">[@e 999,999.99]</property>
      <property name="nMaxLength">6</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">13</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{749,186,105,23}</property>
      <property name="Name">[oSayNf_txpis]</property>
      <property name="Caption">[Taxa PIS:]</property>
      <property name="Justify">[Right]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">18</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{738,215,116,23}</property>
      <property name="Name">[oSaynf_txcof]</property>
      <property name="Caption">[Taxa COFINS:]</property>
      <property name="Justify">[Right]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">21</property>
    </style>
  </part>
  <part class="ownerbutton">
    <style>
      <property name="Geometry">{62,127,16,16}</property>
      <property name="Name">[oBoPcodClaFis]</property>
      <property name="Caption">[oBoCb]</property>
      <property name="BtnBitmap">[smPreview]</property>
      <property name="lResource">.T.</property>
      <property name="TabIndex">25</property>
    </style>
    <method name="onClick">
      <![CDATA[PSQ_BROW('CI_NCM','PCINCM','STRZERO(M_PCODCLAFIS,8)','N','S',3,0,'','','VAL(NCM)','EXIBA',opCodClaFis,)]]>
    </method>
  </part>
  <part class="ownerbutton">
    <style>
      <property name="Geometry">{63,229,16,16}</property>
      <property name="Name">[oOwnerbutton3]</property>
      <property name="Caption">[oBoCb]</property>
      <property name="BtnBitmap">[smPreview]</property>
      <property name="lResource">.T.</property>
      <property name="TabIndex">25</property>
    </style>
    <method name="onClick">
      <![CDATA[PSQ_BROW('CI_CEST','PCICEST','M_PCEST','N','S',3,0,'','',,'EXIBA',opCEST,osoSayPCEST)]]>
    </method>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{807,533,70,28}</property>
      <property name="Name">[oOwnerbutton1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[&amp;OK]</property>
      <property name="TabIndex">1000</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{895,534,70,28}</property>
      <property name="Name">[oOwnerbutton2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[&amp;Cancela]</property>
      <property name="TabIndex">1001</property>
    </style>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{686,71,279,182}</property>
      <property name="Name">[oGroup3]</property>
      <property name="Caption">[Taxas Venda Produtos]</property>
      <property name="TextColor">16711680</property>
      <property name="font">
        <font name="Lucida Bright" width="0" height="-16" weight="600"/>
      </property>
      <property name="TabIndex">1004</property>
    </style>
    <part class="label">
      <style>
        <property name="Geometry">{744,95,110,23}</property>
        <property name="Name">[oSaypTxIcmVda]</property>
        <property name="Caption">[Taxa de ICMs:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">8</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{864,95,87,27}</property>
        <property name="Name">[opTxIcmVda]</property>
        <property name="varName">[m_pTxIcmVda]</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="700"/>
        </property>
        <property name="cPicture">[@e 999,999.99]</property>
        <property name="nMaxLength">6</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">11</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{713,126,141,23}</property>
        <property name="Name">[oSaypIpiEnt]</property>
        <property name="Caption">[Taxa Ipi na Compra:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">12</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{721,155,133,23}</property>
        <property name="Name">[oSaypIpi]</property>
        <property name="Caption">[Taxa de IPI Venda:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">14</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{864,126,87,27}</property>
        <property name="Name">[opIpiEnt]</property>
        <property name="varName">[m_pIpiEnt]</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="700"/>
        </property>
        <property name="cPicture">[@e 999,999.99]</property>
        <property name="nMaxLength">6</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">15</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{864,155,87,27}</property>
        <property name="Name">[opIpi]</property>
        <property name="varName">[m_pIpi]</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="700"/>
        </property>
        <property name="cPicture">[@e 999,999.99]</property>
        <property name="nMaxLength">6</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">16</property>
      </style>
    </part>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{18,265,948,261}</property>
      <property name="Name">[oGroup2]</property>
      <property name="Caption">[CST ICMS / PIS / COFINS / IPI]</property>
      <property name="TextColor">16711680</property>
      <property name="font">
        <font name="Lucida Bright" width="0" height="-16" weight="600"/>
      </property>
      <property name="TabIndex">1008</property>
    </style>
    <part class="label">
      <style>
        <property name="Geometry">{31,293,150,23}</property>
        <property name="Name">[oSaynf_csticm]</property>
        <property name="Caption">[CST ICMs na Venda:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="combobox">
      <style>
        <property name="Geometry">{262,326,684,18}</property>
        <property name="Name">[oVar08]</property>
        <property name="varName">[vCombo2]</property>
        <property name="ColumnWidth">161</property>
        <property name="Items">{}</property>
        <property name="DisplayCount">4</property>
        <property name="TextColor">16711680</property>
        <property name="lEdit">.T.</property>
        <property name="FormatText">[UPPERCASE]</property>
        <property name="TabIndex">11</property>
      </style>
      <method name="onInteractiveChange">
        <![CDATA[Parameters value,ovar08
XmlChecaComboBox(value,ovar08,aCbm_var08)]]>
      </method>
    </part>
    <part class="combobox">
      <style>
        <property name="Geometry">{262,354,684,18}</property>
        <property name="Name">[oVar09]</property>
        <property name="varName">[vCombo3]</property>
        <property name="ColumnWidth">161</property>
        <property name="Items">{}</property>
        <property name="DisplayCount">4</property>
        <property name="TextColor">16711680</property>
        <property name="lEdit">.T.</property>
        <property name="FormatText">[UPPERCASE]</property>
        <property name="TabIndex">11</property>
      </style>
      <method name="onInteractiveChange">
        <![CDATA[Parameters value,ovar09
XmlChecaComboBox(value,ovar09,aCbm_var08) ]]>
      </method>
    </part>
    <part class="combobox">
      <style>
        <property name="Geometry">{262,438,684,18}</property>
        <property name="Name">[oVar10]</property>
        <property name="varName">[vCombo4]</property>
        <property name="ColumnWidth">161</property>
        <property name="Items">{}</property>
        <property name="DisplayCount">4</property>
        <property name="TextColor">16711680</property>
        <property name="lEdit">.T.</property>
        <property name="FormatText">[UPPERCASE]</property>
        <property name="TabIndex">11</property>
      </style>
      <method name="onInteractiveChange">
        <![CDATA[Parameters value,ovar10
XmlChecaComboBox(value,ovar10,aCbm_var08) ]]>
      </method>
    </part>
    <part class="combobox">
      <style>
        <property name="Geometry">{262,466,684,18}</property>
        <property name="Name">[oVar11]</property>
        <property name="varName">[vCombo5]</property>
        <property name="ColumnWidth">161</property>
        <property name="Items">
{modus,aCbm_var04,aCbm_var08,aCbm_var16,aCbm_var17}        </property>
        <property name="DisplayCount">4</property>
        <property name="TextColor">16711680</property>
        <property name="lEdit">.T.</property>
        <property name="FormatText">[UPPERCASE]</property>
        <property name="TabIndex">11</property>
      </style>
      <method name="onInteractiveChange">
        <![CDATA[Parameters value,ovar11
XmlChecaComboBox(value,ovar11,aCbm_var08) ]]>
      </method>
    </part>
    <part class="combobox">
      <style>
        <property name="Geometry">{262,298,684,18}</property>
        <property name="Name">[oVar04]</property>
        <property name="varName">[m_nf_csticm]</property>
        <property name="ColumnWidth">161</property>
        <property name="Items">{}</property>
        <property name="DisplayCount">4</property>
        <property name="TextColor">16711680</property>
        <property name="lEdit">.T.</property>
        <property name="FormatText">[UPPERCASE]</property>
        <property name="AutoHScroll">.T.</property>
        <property name="VSCROLL">.T.</property>
        <property name="TabIndex">11</property>
      </style>
      <method name="onInteractiveChange">
        <![CDATA[Parameters value,ovar04
XmlChecaComboBox(value,ovar04,aCbm_var04) ]]>
      </method>
    </part>
    <part class="combobox">
      <style>
        <property name="Geometry">{263,382,684,18}</property>
        <property name="Name">[oVar12]</property>
        <property name="varName">[vCombo1]</property>
        <property name="ColumnWidth">161</property>
        <property name="Items">{}</property>
        <property name="DisplayCount">4</property>
        <property name="TextColor">16711680</property>
        <property name="lEdit">.T.</property>
        <property name="FormatText">[UPPERCASE]</property>
        <property name="TabIndex">11</property>
      </style>
      <method name="onInteractiveChange">
        <![CDATA[Parameters value,ovar09
XmlChecaComboBox(value,ovar09,aCbm_var08) ]]>
      </method>
    </part>
    <part class="combobox">
      <style>
        <property name="Geometry">{262,494,684,18}</property>
        <property name="Name">[oVar13]</property>
        <property name="varName">[vCombo6]</property>
        <property name="ColumnWidth">161</property>
        <property name="Items">{}</property>
        <property name="DisplayCount">4</property>
        <property name="TextColor">16711680</property>
        <property name="lEdit">.T.</property>
        <property name="FormatText">[UPPERCASE]</property>
        <property name="TabIndex">11</property>
      </style>
      <method name="onInteractiveChange">
        <![CDATA[Parameters value,ovar09
XmlChecaComboBox(value,ovar09,aCbm_var08) ]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{37,489,159,23}</property>
        <property name="Name">[oSayNf_CstEIPI]</property>
        <property name="Caption">[CST IPI Entradas:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">13</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{28,377,152,23}</property>
        <property name="Name">[oSayNf_CstIPI]</property>
        <property name="Caption">[CST IPI na Venda:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">15</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{60,433,137,23}</property>
        <property name="Name">[oSayNf_CstEPIS]</property>
        <property name="Caption">[CST PIS Entradas:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">16</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{44,321,139,23}</property>
        <property name="Name">[oSayNf_CstPIS]</property>
        <property name="Caption">[CST PIS na Venda:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">17</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{28,461,169,23}</property>
        <property name="Name">[oSayNf_CstECOF]</property>
        <property name="Caption">[CST COFINS Entradas:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">19</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{193,289,48,27}</property>
        <property name="Name">[onf_csticm]</property>
        <property name="varName">[m_nf_csticm]</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="700"/>
        </property>
        <property name="cPicture">[999]</property>
        <property name="nMaxLength">3</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">20</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{24,349,158,23}</property>
        <property name="Name">[oSayNf_CstCOF]</property>
        <property name="Caption">[CST COFINS Venda:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">20</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{193,317,34,27}</property>
        <property name="Name">[oNf_CstPIS]</property>
        <property name="varName">[m_Nf_CstPIS]</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="700"/>
        </property>
        <property name="nMaxLength">2</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">21</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{193,345,34,27}</property>
        <property name="Name">[oNf_CstCOF]</property>
        <property name="varName">[m_Nf_CstCOF]</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="700"/>
        </property>
        <property name="nMaxLength">2</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">22</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{193,373,34,27}</property>
        <property name="Name">[oNf_CstIPI]</property>
        <property name="varName">[m_Nf_CstIPI]</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="700"/>
        </property>
        <property name="nMaxLength">2</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">23</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{207,429,34,27}</property>
        <property name="Name">[oNf_CstEPIS]</property>
        <property name="varName">[m_Nf_CstEPIS]</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="700"/>
        </property>
        <property name="nMaxLength">2</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">24</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{207,457,34,27}</property>
        <property name="Name">[oNf_CstECOF]</property>
        <property name="varName">[m_Nf_CstECOF]</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="700"/>
        </property>
        <property name="nMaxLength">2</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">25</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{207,485,34,27}</property>
        <property name="Name">[oNf_CstEIPI]</property>
        <property name="varName">[m_Nf_CstEIPI]</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="700"/>
        </property>
        <property name="nMaxLength">2</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">26</property>
      </style>
    </part>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{131,74,541,98}</property>
      <property name="Name">[oSayNcm]</property>
      <property name="Caption">[...]</property>
      <property name="TabIndex">1009</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{131,182,541,69}</property>
      <property name="Name">[osoSayPCEST]</property>
      <property name="Caption">[...]</property>
      <property name="TabIndex">1009</property>
    </style>
  </part>
</part>
